@import "../variables";
@import "../functions";
@import "../mixins";
@import "../parts/number_selector.scss";

body {
  padding-left: 80px;
  padding-bottom: 0;
  @include flex-row(flex-start);
}

.new,
.accepted {
  width: 50%;
  height: 100vh;
  padding: 30px;
  overflow-y: auto;

  > h2 {
    text-transform: uppercase;
    font-size: 40px;
    line-height: 40px;
    margin-bottom: 20px;
  }

  .order {
    margin-bottom: 40px;

    strong {
      color: theme-color("secondary");
      font-weight: $font-weight-normal;
      margin-right: 5px;
    }
  
    .meals,
    .user {
      padding-bottom: 10px;
    }
  
    .meals {
      border-right: 1px solid gray("400");
    }
  
    .admin {
      border-top: 1px solid gray("400");
      padding: 10px 0;
      @include flex-row(center);

      .number-selector {
        margin-left: auto;

        .number {
          width: 70px;
        }
      }
      
      .time {
        font-size: 20px;
        font-weight: $font-weight-bold;
        color: theme-color("primary");
      }

      .btn-accept,
      .btn-reject,
      .btn-delivered {
        border: none;
        font-size: 17px;
        font-weight: $font-weight-semibold;
        color: $body-background;
        text-transform: uppercase;
        padding: 0 10px;
        height: 35px;
        border-radius: 5px;
        cursor: pointer;
        transition: $transition;

        &:hover {
          opacity: 0.6;
        }
      }

      .btn-accept {
        background-color: $sucess;
        margin-left: 15px;
      }

      .btn-reject {
        background-color: $error;
      }

      .btn-delivered {
        background-color: theme-color("primary");
        margin-left: auto;
      }
    }
  }
}

.new {
  border-right: 2px solid gray("400");
}